commit:     0ef4e73b874ffadfb1c09faf5ce6718f3f8b6a58
Author:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 11 18:26:59 2019 +0000
Commit:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
CommitDate: Fri Oct 11 20:50:15 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ef4e73b

dev-python/pyotherside: bump to 1.5.8, support python3.7

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Göktürk Yüksek <gokturk <AT> gentoo.org>

 dev-python/pyotherside/Manifest                 |  1 +
 dev-python/pyotherside/pyotherside-1.5.8.ebuild | 41 +++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/pyotherside/Manifest b/dev-python/pyotherside/Manifest
index 5baf5097066..583124d9aec 100644
--- a/dev-python/pyotherside/Manifest
+++ b/dev-python/pyotherside/Manifest
@@ -1,2 +1,3 @@
 DIST pyotherside-1.5.3.tar.gz 181811 BLAKE2B 
ce2b7c4b9490e3d30e0e8a3911907fe3ab5aa9f812d29cf4f633957d5ade5261ab7e3691751b0bc696459080089dfec0439b970ac7ad0bd36aa22eb0c9c87112
 SHA512 
ff6aa43e72f5492b18403559514e6fdf0d2cee0965556fcafe5fe394b654a7dd2fc3a7d64d4b8f9c0ebf95485821b77022407772b2414539f2ab287e1fb01e93
 DIST pyotherside-1.5.4.tar.gz 183745 BLAKE2B 
3dad2486dbc3d2632999aff0a7a7af41f6fefcae011bd1dd92b491b4403bbd62adb9a8520af627d5f96644f4fb25e89ee8fb49277723d5f80521d2add984008d
 SHA512 
feaf95e0c981a8fb8b3a57926f48f803584a371752e7f1d2f3c739ee220960df33ad4ca2a38322f3e56d4f8fde193bd7342105303d847b2f532937e8bf2c3b65
+DIST pyotherside-1.5.8.tar.gz 184812 BLAKE2B 
6d6688ded2c726edf12a82611953a8124c49f904ab41a26a733eb74ff9fa071a4dcde4f3a2a21c424feebf6d85a0e5b3bf6179f3b48bb3828449ce1e5e6262ad
 SHA512 
ff82bf693a239560001baa622c3854dbc920310573f4e565f247ac79a8ed717446231bc9a9d4990e9b8cb4032ca05d0c5ec9a1c87341be09238a62d005e6ac0f

diff --git a/dev-python/pyotherside/pyotherside-1.5.8.ebuild 
b/dev-python/pyotherside/pyotherside-1.5.8.ebuild
new file mode 100644
index 00000000000..38785447e3f
--- /dev/null
+++ b/dev-python/pyotherside/pyotherside-1.5.8.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+
+inherit qmake-utils python-single-r1
+
+DESCRIPTION="Asynchronous Python 3 Bindings for Qt 5"
+HOMEPAGE="https://github.com/thp/pyotherside https://thp.io/2011/pyotherside/";
+SRC_URI="https://github.com/thp/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64"
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+# Requires active X display
+RESTRICT="test"
+
+RDEPEND="${PYTHON_DEPS}
+       dev-qt/qtcore:5
+       dev-qt/qtdeclarative:5
+       dev-qt/qtgui:5
+       dev-qt/qtsvg:5
+       "
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       sed -i -e "s/qtquicktests//" pyotherside.pro || die
+
+       default
+}
+
+src_configure() {
+       eqmake5
+}
+
+src_install() {
+       emake install INSTALL_ROOT="${D}"
+}

Reply via email to